import { html } from '@microsoft/fast-element';
export const foundationFlyoutTemplate = html `
  <template ?closed=${(x) => x.closed} ?visuallyhidden=${(x) => x.visuallyhidden}>
    <div class="container">
      <div class="background" @click=${(x) => x.closeFlyout()}></div>
      <div class="flyout" @transitionend=${(x) => x.closingFinished()}>
        <div class="header">
          <div class="title">
            <slot name="title"></slot>
          </div>
          <div class="exit" @click=${(x) => x.closeFlyout()}>
            <zero-icon name="times"></zero-icon>
          </div>
        </div>
        <div class="content">
          <slot></slot>
        </div>
        <div class="footer">
          <slot name="footer"></slot>
        </div>
      </div>
    </div>
  </template>
`;
//# sourceMappingURL=flyout.template.js.map